Subject: [dnsext] I-D Action:draft-ietf-dnsext-dnssec-rsasha256-10.txt

From: [email-masked]
Date: Fri, 9 Jan 2009 00:45:01 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the DNS Extensions Working Group of the IETF.

	Title           : Use of SHA-2 algorithms with RSA in DNSKEY and RRSIG Resource Records for DNSSEC
	Author(s)       : J. Jansen
	Filename        : draft-ietf-dnsext-dnssec-rsasha256-10.txt
	Pages           : 8
	Date            : 2009-01-08

This document describes how to produce RSA/SHA-256 and RSA/SHA-512
DNSKEY and RRSIG resource records for use in the Domain Name System
Security Extensions (DNSSEC, RFC 4033, RFC 4034, and RFC 4035).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dnsext-dnssec-rsasha256-10.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Jelte Jansen <[email-masked]>
Date: Fri, 09 Jan 2009 10:04:23 +0100

> 	Filename        : draft-ietf-dnsext-dnssec-rsasha256-10.txt

I've opted for the second option from my previous suggestion, and worked in the
comments from the list (thanks!)

wdiff at:

http://nlnetlabs.nl/downloads/publications/draft-ietf-dnsext-dnssec-rsasha256-wdiff-09-10.html

Jelte

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Scott Rose <[email-masked]>
Date: Tue, 13 Jan 2009 12:54:09 -0500

Is this (hopefully) the final working version?  I have read it and
support this draft moving forward.

Scott

---

From: Wes Hardaker <[email-masked]>
Date: Tue, 13 Jan 2009 11:06:14 -0800

I have also read the diff and like the new version but with one
question:

  5.2.2.  NSEC3 in Validators

     A DNSSEC validator that implements RSA/SHA2 MUST be able to handle
     both NSEC and NSEC3 [RFC5155] negative answers.  If this is not the
     case, the validator MUST treat a zone signed with RSA/SHA256 or RSA/
     SHA512 as signed with an unknown algorithm, and thus as insecure.

Shouldn't that be phrased in a way that allows understanding one or the
other of NSEC vs NSEC3?  Right now it states that if you don't
understand either you can't validate a zone that you do understand the
contents of.  IE, if you don't handle NSEC3 you must treat NSEC3 zones
as insecure but can still treat NSEC zones as secure.  That's what I
thought the consensus led to.

-- 
"In the bathtub of history the truth is harder to hold than the soap,
 and much more difficult to find."  -- Terry Pratchett

---

From: "W.C.A. Wijngaards" <[email-masked]>
Date: Wed, 14 Jan 2009 09:35:44 +0100

> thought the consensus led to.

Hi Wes,

I also think this is where consensus led.  I think the draft describes
it.  Treating NSEC3 zones as insecure is one way of 'handling' NSEC3.

Best regards,
   Wouter

---

From: Jelte Jansen <[email-masked]>
Date: Wed, 14 Jan 2009 10:07:31 +0100

> it.  Treating NSEC3 zones as insecure is one way of 'handling' NSEC3.

I think using 'either' in conjunction with 'not' is a recipe for confusion. That
is why i've removed at least that sentence from the draft text.

And I think that's what's happening here again; Wes thinks consensus leads to
the scenario where the validator will verify the zone if it contains the NSEC
type you understand. Please correct me if i'm wrong.

Wouter (and me as well, for that matter) thinks consensus leads to 'don't verify
the zone if you don't know NSEC3, because you cannot know beforehand whether it
will be used').

So maybe we should have an old school consensus call.

I think the current text describes the latter clearly. If not, please suggest
text. Without the word 'either' ;)

<document editor hat off>
and just to recap the argument that made me favour the don't-do-it scenario; in
that case you would get a positive-only scenario if you don't understand NSEC3.
For the 'current' zone and all those beneath it... Which for me would probably
be a reason not to deploy sha2 at all in my zones.
</document editor hat off>

Jelte

---

From: Mark Andrews <[email-masked]>
Date: Thu, 15 Jan 2009 10:03:38 +1100

In message <[email-masked]>, Jelte Jansen writes:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> W.C.A. Wijngaards wrote:
> > Wes Hardaker wrote:
 
	The table below documements when a zone is to be treated as
	secure (S) or insecure (I) depending apon which algorithms
	are supported by the validator.

		NSEC ONLY	NSEC3 ONLY	NSEC + NSEC3
RSAMD5		   S		    I		     S
DSA		   S		    I		     S
RSASHA1	   	   S		    I		     S
NSEC3DSA	   I		    I		     S
NSEC3RSASHA1   	   I		    I		     S
RSASHA256   	   I		    I		     S
RSASHA512   	   I		    I		     S

	The table below documents which zones that can be served
	by a authortative server that understand the following
	algorithms.

		NSEC ONLY	NSEC3 ONLY	NSEC + NSEC3
RSAMD5/NSEC	   Y		    N		     Y
DSA/NSEC	   Y		    N		     Y
RSASHA1/NSEC	   Y		    N		     Y
NSEC3DSA/NSEC	   Y		    N		     Y
NSEC3DSA/NSEC3	   N		    Y		     Y
NSEC3RSASHA1/NSEC  Y		    N		     Y
NSEC3RSASHA1/NSEC3 N		    Y		     Y
RSASHA256/NSEC 	   Y		    N		     Y
RSASHA256/NSEC3	   N		    Y		     Y
RSASHA512/NSEC 	   Y		    N		     Y
RSASHA512/NSEC3	   N		    Y		     Y

	Mark

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: Alex Bligh <[email-masked]>
Date: Thu, 15 Jan 2009 12:48:46 +0000

--On 15 January 2009 10:03:38 +1100 Mark Andrews <[email-masked]> 
wrote:

> NSEC3DSA	   I		    I *		     S
> NSEC3RSASHA1     I		    I *		     S

Are the two starred entries correct?

Alex

---

From: Mark Andrews <[email-masked]>
Date: Fri, 16 Jan 2009 01:22:39 +1100

In message <[email-masked]>, Alex Bligh write
> Are the two starred entries correct?

	Yes.